Firewall
Get Server Firewall Groups
get
/firewall/{server_type}/{server_id}/groupsFirewall groups assigned to a VPS or baremetal server and the state of the last sync.
Groups are listed in priority order.
Authorization
Authorization
Authorization*string
Bearer YOUR_API_TOKEN with an API token. The X-API-Key: YOUR_API_TOKEN header works too.
Path parameters
server_type*FirewallServerType
Value in
"vps""baremetal"server_id*integer
Range
1 ≤ valueResponses
Successful Response
application/json
server_type*string
server_id*integer
vps_id?integer | null
baremetal_id?integer | null
firewall_groups*array<FirewallGroupRef>
Properties (3)
id*integer
name*string
enabled*boolean
last_sync?FirewallSyncOut | null
Last firewall sync of the server, without host or switch details.
Properties (3)
status*string
updated_at?string | null
Format
date-timedetail?string | null